import { SmzBuilderUtilities } from '../common/smz-builder-utilities';
import { SmzUiBuilder } from './ui-builder';
export declare class SmzUiTablesBuilder extends SmzBuilderUtilities<SmzUiTablesBuilder> {
    private _builder;
    protected that: this;
    constructor(_builder: SmzUiBuilder);
    setExportApiAbsoluteUrl(url: string): SmzUiTablesBuilder;
    setExportApiRelativeUrl(controller: string, endpoint: string): SmzUiTablesBuilder;
    setExportRequestLimit(limit: number): SmzUiTablesBuilder;
    get builder(): SmzUiBuilder;
}
